.header {
    display: flex;
    background-color: #273657;
    color: #fff;
    text-align: center;
    margin-bottom: 1rem;
    padding: 1rem 1rem; 
    justify-content: space-between;
    align-items: center;
}

.section {
    width: 50%;
    margin: auto;
}

.cc{
    display: flex;
    justify-content: center; /* Centers the content horizontally */
    align-items: center;     /* Centers the content vertically */
    padding: 20px;
    background-color: #f1f1f1; /* Optional: just so you can see the footer bounds */
}

.page-container {
    display: flex;
    flex-direction: column; /* Stacks header, main, and footer vertically */
    min-height: 100vh;      /* Minimum height is 100% of the viewport height */
}

.container {
    margin-left: auto;
    margin-right: auto;
}

html, body {
    margin: 0;
    padding: 0;
    height: 100%; /* Ensures the body fills the viewport height */
}

tr {
    border: 1px solid black;
    margin: auto;
}

nav {
    //border: 1px solid black;
    //margin: auto;
}

.cent {
    margin: auto;
    margin-top: 50px;
    margin-bottom: 50px;
    width: 15%;
    border: 2px solid;
    border-radius: 10px;
}

.title {
    text-align: center;
}

.navigation {
    display: flex;
    gap: 15px;
    list-style-type: none;
    padding: 0;
}

.navigation a {
    //margin-right: 15px;
    text-decoration: none;
    color: white;
    transition: margin-right 0.15s;
}

.navigation a:hover {
    margin-right: 5px;
    color: #f2c7de;
}

p {
   //text-indent: 50px;    
    line-height: 1.6;
    max-width: 75ch;
    color: #333333;
    font-family: system-ui, sans-serif;
}

.course-name {
    text-align: center;
    font-size: 50px;
    color: black;
    //background-color: blue;
    margin-bottom: 0px;
    padding: 15px 20px;
}

.course-name2 {
    text-align: center;
}

.sub-title {
    font-size: 50px;
    display: block;
    margin-top: 0px;
    margin-bottom: 20px;
}

.mindmap-div {
   display: flex;
}

.mindmap {
    width: 1000px;
}

.about-me {
    text-align: center;
    font-size: 50px;    
    display: block;
    margin-top: 0px;
    margin-bottom: 20px;
    //width: 50%;
    margin: auto;
}

.reflection{
    
}

.title-addie{
    font-size: 50px;
    margin: 1.5em 0 0.6em;
    line-height: 1.2;
    padding-bottom: 0.1em;
    padding-top: 0.1em;
    padding-left: 0.3em;
    border-left: 8px solid #a8b7d8;

}

.title-transcription{
    font-size: 50px;
    margin: 0 0 0.6em;

}

.centered-div{
    max-width: 680px;
    margin: auto;
    margin-bottom: 50px;
}

.game-div{
    width: 65%;
    margin: auto;
}
